Subject: bug#47150: [External] : bug#47150: 28.0.50; Incorrect major-mode in minibuffer

From: "Sheng Yang" <[email-masked]>
Date: Mon, 12 Apr 2021 07:02:16 -0500

Thanks for the quick response! The changes sound good to me.

On Mon, Apr 12, 2021, at 05:18, Alan Mackenzie wrote:
> Hello, Sheng.
> 
> On Fri, Apr 09, 2021 at 03:57:01 -0500, Sheng Yang wrote:
> > Any update/decision on this? The discussions have been inactive for more than 2 weeks.
> 
> Sorry, I got distracted by another project which turned out to be bigger
> than expected.
> 
> I will decide this, basically to follow Drew's suggestion, since he is
> the only one with strong views on the subject.  What's more, I am now
> convinced he is right.  ;-)
> 
> To sum up, the minibuffer will always be in `minibuffer-mode', regardless
> of whether it is active or inactive.  The minibuffer-mode key map will be
> in force for INactive MBs, the map supplied by the commands will be in
> force for active MBs.  There will be compatibility aliases to
> `minibuffer-inactive-mode', etc.
> 
> I think this will enable you to solve the problems you have.
> 
> It will likely take me a few more days actually to implement this.
> 
> [ .... ]
> 
> > Sheng Yang(杨圣), PhD
> > Computer Science Department
> > University of Maryland, College Park
> > E-mail: [email-masked] <mailto:styang%40fastmail.com>
> > E-mail (old but still used): [email-masked] <mailto:yangsheng6810%40gmail.com>
> 
> -- 
> Alan Mackenzie (Nuremberg, Germany).
> 

Sheng Yang(杨圣), PhD
Computer Science Department
University of Maryland, College Park
E-mail: [email-masked]
E-mail (old but still used): [email-masked]